summarylogtreecommitdiffstats
path: root/epherome.sh
diff options
context:
space:
mode:
authorzxp198210052023-12-20 18:17:19 +0800
committerzxp198210052023-12-20 18:17:19 +0800
commitf72441813534690b7d5db1dcea45127cb813e3f9 (patch)
treee45413e47cd2348ec6ad153f63aa3f104a7a54dc /epherome.sh
parent6c9b70edf26225862de667c8d4fd5854f9245862 (diff)
downloadaur-f72441813534690b7d5db1dcea45127cb813e3f9.tar.gz
update to 0.38.3
Diffstat (limited to 'epherome.sh')
-rw-r--r--epherome.sh22
1 files changed, 14 insertions, 8 deletions
diff --git a/epherome.sh b/epherome.sh
index 7fab2ba2a074..c77c53567639 100644
--- a/epherome.sh
+++ b/epherome.sh
@@ -1,11 +1,17 @@
-#!/bin/bash
-_ELECTRON=/usr/bin/electron22
-APPDIR="/usr/lib/epherome"
-export PATH="${APPDIR}:${PATH}"
-#export LD_LIBRARY_PATH="${APPDIR}/swiftshader:${LD_LIBRARY_PATH}"
-_ASAR="${APPDIR}/app.asar"
+#!/bin/sh
+set -e
+_APPDIR="/usr/lib/@appname@"
+_ASAR="${_APPDIR}/@appasar@"
+export PATH="${_APPDIR}:${PATH}"
+export LD_LIBRARY_PATH="${_APPDIR}/swiftshader:${_APPDIR}/lib:${LD_LIBRARY_PATH}"
+export ELECTRON_IS_DEV=0
+export NODE_ENV=production
if [[ $EUID -ne 0 ]] || [[ $ELECTRON_RUN_AS_NODE ]]; then
- exec ${_ELECTRON} ${_ASAR} "$@"
+ cd "${_APPDIR}"
+ exec electron@electronversion@ "${_ASAR}" "$@"
+ exit
else
- exec ${_ELECTRON} ${_ASAR} --no-sandbox "$@"
+ cd "${_APPDIR}"
+ exec electron@electronversion@ "${_ASAR}" --no-sandbox "$@"
+ exit
fi \ No newline at end of file